Skip to main content
Get a paged array of waitlists

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id_gt
integer | null

The starting object id of the next page

Example:

200

id_lt
integer | null

The starting object id of the previous page

Example:

100

update_gt

Search for objects updated after this date time

Example:

"2023-07-30T09:00:00.000Z"

update_lt

Search for objects updated before this date time

Example:

"2023-07-30T09:00:00.000Z"

include_archived
enum<string> | null
default:false

Whether archived objects should be retrieved, default is false

Available options:
true,
false
practitionerId
integer | null

The id of the practitioner associated to the waitlist item

Example:

12

userGroupId
integer | null

The user group id of the practitioner associated to the waitlist item

Example:

12

locationId
integer | null

The id of the location associated to the waitlist item

Example:

13

patientId
integer | null

The id of the patient associated to the waitlist item

Example:

14

dateAddedGt

Search for waitlist item added after specified date

Example:

"2023-07-30T09:00:00.000Z"

dateAddedLt

Search for waitlist item added before specified date

Example:

"2023-07-30T09:00:00.000Z"

isActive
enum<string> | null

Is the waitlist item active or closed

Available options:
true,
false
Example:

"true"

preferredDays
string[] | null
preferredTime
string | null
serviceIds
number[] | null
waitlistTags
string[] | null

Response

200 - application/json

A paged array of waitlists

data
object[]
required